Open Lighting Architecture: ola::plugin::usbpro Namespace Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Classes | Typedefs | Enumerations | Functions
ola::plugin::usbpro Namespace Reference

## Detailed Description

Code for Enttec USB Pro devices and others using the same protocol.

## Classes
class | ArduinoRGBDevice
class | ArduinoRGBOutputPort
class | ArduinoWidgetImpl
class | ArduinoWidget
class | BaseRobeWidget
class | DispatchingRobeWidget
class | BaseUsbProWidget
class | DispatchingUsbProWidget
class | DmxterDevice
class | DmxterOutputPort
class | DmxterWidgetImpl
class | DmxterWidget
class | DmxTriDevice
class | DmxTriOutputPort
class | DmxTriWidgetImpl
class | DmxTriWidget
class | EnttecUsbProWidgetImpl
class | EnttecPort
class | EnttecUsbProWidget
struct | OperationLabels
class | EnttecPortImpl
struct | usb_pro_parameters
class | GenericUsbProWidget
class | RobeDevice
class | RobeInputPort
class | RobeOutputPort
class | RobeWidgetImpl
class | RobeWidget
class | RobeWidgetInformation
class | RobeWidgetDetector
class | SerialWidgetInterface
class | UltraDMXProDevice
class | UltraDMXProInputPort
class | UltraDMXProOutputPort
class | UltraDMXProWidget
class | UsbProDevice
class | UsbProInputPort
class | UsbProOutputPort
class | UsbProWidgetInformation
class | UsbProWidgetDetector
class | UsbSerialDevice
class | UsbSerialPlugin
class | WidgetDetectorInterface
class | NewWidgetHandler
class | WidgetDetectorThread
class | string
| STL class. More...
class | RDMCommandSerializer
| Serializes RDMCommands. More...
struct | RDMReply
| Holds the final state of an RDM request. More...
class | RDMRequest
| RDM Commands that represent requests (GET, SET or DISCOVER). More...
class | auto_ptr
| STL class. More...
class | ostringstream
| STL class. More...
class | vector
| STL class. More...
class | UID
| Represents a RDM UID. More...
class | UIDSet
| Represents a set of RDM UIDs. More...
class | RDMCommand
| The base class that all RDM requests & responses inherit from. More...
class | map
| STL class. More...
class | RDMResponse
| An RDM Command that represents responses (GET, SET or DISCOVER). More...
class | RpcController
| A RpcController object is passed every time an RPC is invoked and is used to indicate the success or failure of the RPC. More...
class | ConnectedDescriptor
| A BidirectionalFileDescriptor that also generates notifications when closed. More...

## Typedefs
typedef ola::SingleUseCallback2< void, bool, const usb_pro_parameters & > | usb_pro_params_callback
typedef ola::BaseCallback1< void, const ola::rdm::UIDSet & > | RDMDiscoveryCallback
| The callback run when a discovery operation completes.

## Enumerations
enum | { GET_PARAMS_1 = 3 , SET_PARAMS_1 = 4 , RECEIVED_DMX_LABEL_1 = 5 , SEND_DMX_1 = 6 , SEND_RDM_1 = 7 , CHANGE_TO_RX_1 = 8 , COS_DMX_1 = 9 , RDM_DISCOVERY_1 = 11 , RDM_TIMEOUT_1 = 12 , GET_PARAMS_2 = 137 , SET_PARAMS_2 = 180 , RECEIVED_DMX_LABEL_2 = 156 , SEND_DMX_2 = 135 , SEND_RDM_2 = 236 , CHANGE_TO_RX_2 = 197 , COS_DMX_2 = 164 , RDM_DISCOVERY_2 = 196 , RDM_TIMEOUT_2 = 201 }

## Functions
void | RunRDMCallback (RDMCallback *callback, RDMStatusCode status_code)
| A helper message to run a RDMCallback with the given status code.
void | RunRDMCallback (RDMCallback *callback, RDMStatusCode status_code)
| A helper message to run a RDMCallback with the given status code.
uint16_t | HostToNetwork (uint16_t value)
| 16-bit unsigned host to network conversion.
uint16_t | NetworkToHost (uint16_t value)
| 16-bit unsigned network to host conversion.
void | RunRDMCallback (RDMCallback *callback, RDMStatusCode status_code)
| A helper message to run a RDMCallback with the given status code.
template<typename T>
_ToHex< T > | ToHex (T v, bool prefix=true)
| Convert a value to a hex string.
void | RunRDMCallback (RDMCallback *callback, RDMStatusCode status_code)
| A helper message to run a RDMCallback with the given status code.
string | IntToString (int i)
| Convert an int to a string.
template<typename T>
_ToHex< T > | ToHex (T v, bool prefix=true)
| Convert a value to a hex string.
void | RunRDMCallback (RDMCallback *callback, RDMStatusCode status_code)
| A helper message to run a RDMCallback with the given status code.
template<typename T>
_ToHex< T > | ToHex (T v, bool prefix=true)
| Convert a value to a hex string.

## Typedef Documentation

## ◆ RDMDiscoveryCallback

typedef ola::BaseCallback1<void, const ola::rdm::UIDSet&> ola::rdm::RDMDiscoveryCallback

The callback run when a discovery operation completes.

Template Parameters

  UIDSet | The UIDs that were discovered.

## Function Documentation

## ◆ IntToString()

std::string ola::strings::IntToString | ( | int | i | ) |

Convert an int to a string.

Parameters

  i | the int to convert

Returns
  the string representation of the int

## ◆ RunRDMCallback() [1/5]

void ola::rdm::RunRDMCallback | ( | RDMCallback * | callback,
|  | RDMStatusCode | status_code )
| inline

A helper message to run a RDMCallback with the given status code.

Parameters

  callback | The RDMCallback to run.
  status_code | The status code to use in the RDMReply.

## ◆ RunRDMCallback() [2/5]

void ola::rdm::RunRDMCallback | ( | RDMCallback * | callback,
|  | RDMStatusCode | status_code )
| inline

A helper message to run a RDMCallback with the given status code.

Parameters

  callback | The RDMCallback to run.
  status_code | The status code to use in the RDMReply.

## ◆ RunRDMCallback() [3/5]

void ola::rdm::RunRDMCallback | ( | RDMCallback * | callback,
|  | RDMStatusCode | status_code )
| inline

A helper message to run a RDMCallback with the given status code.

Parameters

  callback | The RDMCallback to run.
  status_code | The status code to use in the RDMReply.

## ◆ RunRDMCallback() [4/5]

void ola::rdm::RunRDMCallback | ( | RDMCallback * | callback,
|  | RDMStatusCode | status_code )
| inline

A helper message to run a RDMCallback with the given status code.

Parameters

  callback | The RDMCallback to run.
  status_code | The status code to use in the RDMReply.

## ◆ RunRDMCallback() [5/5]

void ola::rdm::RunRDMCallback | ( | RDMCallback * | callback,
|  | RDMStatusCode | status_code )
| inline

A helper message to run a RDMCallback with the given status code.

Parameters

  callback | The RDMCallback to run.
  status_code | The status code to use in the RDMReply.

## ◆ ToHex() [1/3]

template<typename T>

_ToHex< T > ola::strings::ToHex | ( | T | v,
|  | bool | prefix = true )

Convert a value to a hex string.

Automatic constructor for _ToHex that deals with widths

Template Parameters

  T | the type of value to convert

Parameters

  v | the value to convert
  prefix | show the 0x prefix

Returns
  A _ToHex struct representing the value, output it to an ostream to use it.

Note
  We only currently support unsigned ints due to a lack of requirement for anything else

## ◆ ToHex() [2/3]

template<typename T>

_ToHex< T > ola::strings::ToHex | ( | T | v,
|  | bool | prefix = true )

Convert a value to a hex string.

Automatic constructor for _ToHex that deals with widths

Template Parameters

  T | the type of value to convert

Parameters

  v | the value to convert
  prefix | show the 0x prefix

Returns
  A _ToHex struct representing the value, output it to an ostream to use it.

Note
  We only currently support unsigned ints due to a lack of requirement for anything else

## ◆ ToHex() [3/3]

template<typename T>

_ToHex< T > ola::strings::ToHex | ( | T | v,
|  | bool | prefix = true )

Convert a value to a hex string.

Automatic constructor for _ToHex that deals with widths

Template Parameters

  T | the type of value to convert

Parameters

  v | the value to convert
  prefix | show the 0x prefix

Returns
  A _ToHex struct representing the value, output it to an ostream to use it.

Note
  We only currently support unsigned ints due to a lack of requirement for anything else